polybori::CTermGenerator< BooleMonomial > Class Template Reference

`#include <CTermGenerator.h>`

Inheritance diagram for polybori::CTermGenerator< BooleMonomial >:

## Public Types

typedef BooleMonomial | term_type
typedef CTermGeneratorBase__< BooleMonomial, type_tag< BooleMonomial > > | base
typedef base::data_type | data_type

## Public Member Functions

| CTermGenerator (const data_type &data)
| CTermGenerator (const CTermGenerator &rhs)

## Member Typedef Documentation

typedef CTermGeneratorBase__<BooleMonomial, type_tag<BooleMonomial> > polybori::CTermGenerator< BooleMonomial >::base

typedef base::data_type polybori::CTermGenerator< BooleMonomial >::data_type

typedef BooleMonomial polybori::CTermGenerator< BooleMonomial >::term_type

## Constructor & Destructor Documentation

polybori::CTermGenerator< BooleMonomial >::CTermGenerator | ( | const data_type & | data | ) |

inline

polybori::CTermGenerator< BooleMonomial >::CTermGenerator | ( | const CTermGenerator< BooleMonomial > & | rhs | ) |

inline

The documentation for this class was generated from the following file:

- CTermGenerator.h